Bug 966470 - Keystone Trusts API sends non descriptive error message for requests with invalid trust id
Keystone Trusts API sends non descriptive error message for requests with inv...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Nathan Kinder
Kaushik Banerjee
: Automation, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-05-23 06:33 EDT by Pavel Sedlák
Modified: 2016-04-26 18:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-08 22:23:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1236511 None None None Never

  None (edit)
Description Pavel Sedlák 2013-05-23 06:33:02 EDT
When request with invalid/not-existing Trust ID is send, the 404 response "message" contains only that ID, not a whole 'sentence' as in other cases.

Discovered with openstack-keystone-2013.1.1-1.el6ost.

Issue request like:
> GET /v3/OS-TRUST/trusts/YOUR_INVALID_ID/roles # etc

Reply looks like:
> {u'error': {u'code': 404,
>            u'message': u'YOUR_INVALID_ID',
>            u'title': u'Not Found'}}

For other requests it mostly looks like:
> {u'error': {u'code': 404,
>            u'message': u'Could not find role: b0f22e0104654f5699f801fe90761365',
>            u'title': u'Not Found'}}

So the "Could not find <subject-type>: " part of message is missing here.
Comment 4 Adam Young 2016-01-08 22:23:54 EST
This will not be changing upstream.

Note You need to log in before you can comment on or make changes to this bug.